# $Revision: 1.12 $, $Date: 2006/05/21 17:13:04 $
%define cvs 20040131
%define branch stable
%define		_rel	3
Summary:	AIM transport module for Jabber
Summary(pl):	Modu transportowy AIM dla systemu Jabber
Name:		jabber-aim-transport
Version:	0
Release:	0.%{cvs}.%{_rel}
License:	distributable
Group:		Applications/Communications
Source0:	http://aim-transport.jabberstudio.org/aim-transport-%{branch}-%{cvs}b.tar.gz
# Source0-md5:	804469a50824691adcfa2cec71dbf6df
Source2:	jabber-aimtrans.init
Source3:	jabber-aimtrans.sysconfig
Source4:	aimtrans.xml
URL:		http://www.jabber.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	jabberd14-devel >= 1.4.3.1-2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	jabber-common
Requires(post):	sed >= 4.0
Requires(post):	textutils
Requires(post,preun):	/sbin/chkconfig
%requires_eq	jabberd14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows Jabber to communicate with AIM servers.

%description -l pl
Modu ten umoliwia uytkownikom Jabbera komunikowanie si z
uytkownikami AIM.

%prep
%setup -qn aim-transport-%{branch}-%{cvs}

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	--with-jabberd=/usr/include/jabberd14
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/jabberd14,%{_sysconfdir}/jabber} \
	$RPM_BUILD_ROOT{%{_sbindir},/etc/{rc.d/init.d,sysconfig}}

install src/aimtrans.so $RPM_BUILD_ROOT%{_libdir}/jabberd14
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabber-aimtrans
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/jabber-aimtrans
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/jabber/aimtrans.xml

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_sysconfdir}/jabber/secret ] ; then
	SECRET=`cat %{_sysconfdir}/jabber/secret`
	if [ -n "$SECRET" ] ; then
		echo "Updating component authentication secret in the config file..."
		%{__sed} -i -e "s/>secret</>$SECRET</" %{_sysconfdir}/jabber/aimtrans.xml
	fi
fi

/sbin/chkconfig --add jabber-aimtrans
%service jabber-aimtrans restart "Jabber aim transport"

%preun
if [ "$1" = "0" ]; then
	%service jabber-aimtrans stop
	/sbin/chkconfig --del jabber-aimtrans
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/jabberd14/*
%attr(640,root,jabber) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber/*
%attr(754,root,root) /etc/rc.d/init.d/jabber-aimtrans
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/jabber-aimtrans

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jabber-aim-transport.spec,v $
Revision 1.12  2006/05/21 17:13:04  glen
- rel 3

Revision 1.11  2006/05/21 17:12:12  glen
- use jabberd14-devel with pth-devel dep rather here

Revision 1.10  2006/05/21 17:02:12  glen
- rel 2

Revision 1.9  2006/05/21 17:01:37  glen
- BR pth-devel

Revision 1.8  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.7  2005/06/26 02:20:46  zbyniu
- removed BRs provided by jabberd14-devel

Revision 1.6  2004/06/26 00:04:03  aredridel
- switch to stable branch

Revision 1.5  2004/01/25 22:12:40  undefine
- copy config.sub, release 5

Revision 1.4  2003/12/11 16:27:02  undefine
- release something.4 to rebuild with ac

Revision 1.3  2003/10/02 08:16:56  qboosh
- added post/preun deps

Revision 1.2  2003/10/01 17:29:42  aredridel
- partly updated jabber-aim-transport to work with new jabber/jabber-common
  framework

Revision 1.1  2003/09/16 20:51:24  aredridel
- added; NFY: needs to be updated to use jabberd14/jabber-common framework

Revision 1.18  2003/08/22 15:44:04  ankry
- cosmetics: spaces -> tabs

Revision 1.17  2003/06/18 10:24:39  pascalek
- BR: pth-devel

Revision 1.16  2003/06/11 16:03:14  ankry
- added md5, fixed URL

Revision 1.15  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/05 00:46:55  mmazur
- I think this typo is becoming my obsession

Revision 1.13  2003/01/04 23:05:23  mmazur
- typo

Revision 1.12  2002/06/27 09:54:30  kloczek
- use new %doc and few cleanups.

Revision 1.11  2002/04/25 16:38:08  arturs
- fixed a small typo

Revision 1.10  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/09 15:30:16  jajcus
- %requires_eq jabber

Revision 1.7  2002/02/08 16:05:08  jajcus
- updates for new jabber.spec

Revision 1.6  2002/01/18 02:13:22  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/26 10:37:50  jajcus
- sample config file, for use with new jabber init script

Revision 1.4  2001/12/20 19:23:53  jajcus
- complete rewrite --- I did it all wrong

Revision 1.3  2001/12/20 15:04:45  jajcus
- made it compile (but it doesn't seem to work)

Revision 1.2  2001/12/20 10:31:27  qboosh
- more Groups

Revision 1.1  2001/12/19 20:27:59  jajcus
- initial spec; NFY
